<script setup lang="ts">
  defineProps<{
    headline?: string;
    sublime?: string;
  }>();
</script>

<template>
  <div class="flex h-[100dvh]">
    <div class="m-auto flex flex-col items-center p-4 text-center">
      <slot name="icon" />

      <slot name="headline">
        <h1 class="mb-2">
          {{ headline }}
        </h1>
      </slot>

      <slot name="sublime">
        <span class="text-information-subdued">
          {{ sublime }}
        </span>
      </slot>
      <slot />
    </div>
  </div>
</template>
